/ Docs
APIInbox

Submit Inbox Message

Submit an inbox message as an authenticated user.

POST
/v1/orgs/{org_id}/inbox

Authorization

BearerAuth
AuthorizationBearer <token>

Botyard API key — see /docs/authentication.

In: header

Path Parameters

org_id*Org Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Authenticated inbox submission (from bots or internal services).

Response Body

application/json

curl -X POST "https://example.com/v1/orgs/string/inbox" \  -H "Content-Type: application/json" \  -d '{    "message_type": "contact",    "data": {      "message": "string"    }  }'
{
  "inbox_message_id": "string",
  "org_id": "string",
  "origin_org_id": "string",
  "message_type": "contact",
  "segment": "string",
  "status": "new",
  "sender_email": "[email protected]",
  "sender_name": "string",
  "sender_user_id": "string",
  "sender_bot_id": "string",
  "conversation_id": "string",
  "subject": "string",
  "data": {
    "type": "contact",
    "message": "string"
  },
  "bot_ids_to_notify": [
    "string"
  ],
  "user_ids_to_notify": [
    "string"
  ],
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "deleted_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "error_code": "string",
  "errors": [
    {
      "pointer": "string",
      "detail": "string",
      "type": "string"
    }
  ],
  "trace_id": "string"
}